# Method: projects.locations.configurations.aggregateUsage

- [HTTP request](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/aggregateUsage#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/aggregateUsage#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/aggregateUsage#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/aggregateUsage#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/aggregateUsage#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/aggregateUsage#body.AggregateUsageResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/aggregateUsage#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/aggregateUsage#body.aspect_1)
- [Usage](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/aggregateUsage#Usage)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/aggregateUsage#Usage.SCHEMA_REPRESENTATION)

Aggregates Usage per Instance for a Configuration.

### HTTP request

`GET https://licensemanager.googleapis.com/v1/{name=projects/*/locations/*/configurations/*}:aggregateUsage`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Parent value for AggregateUsageRequest |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. Filtering results |
| `orderBy` | `string` Optional. Hint for how to order the results |
| `startTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Required. Licenses are purchased per month - so usage track needs start time of a month. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `endTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Required. Usage track is always for a month. This parameter is for the end time of the month. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Request body

The request body must be empty.

### Response body

Message for response for aggregating usage count

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "usages": [ { object (`https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/aggregateUsage#Usage`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `usages[]` | ``object (`https://docs.cloud.google.com/compute/docs/licensemanager/rest/v1/projects.locations.configurations/aggregateUsage#Usage`)`` The aggregated records of usage per configuration |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `licensemanager.configurations.aggregateUsage`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## Usage

Message describing total counts of users who accessed a VM.

| JSON representation |
|---|
| ``` { "limaInstance": string, "users": integer } ``` |

| Fields ||
|---|---|
| `limaInstance` | `string` LiMa Instance resource name, i.e. projects/{project}/locations/{location}/instances/{instance} |
| `users` | `integer` Number of unique users accessing the VM. |